import React, { Component } from "react";
declare class Modal extends Component<{
    visible?: boolean;
    title?: React.ReactElement;
    width?: number;
    zIndex?: number;
    onClose: Function;
}, {}> {
    static defaultProps: {
        visible: boolean;
        title: boolean;
        width: number;
        zIndex: number;
        onClose: () => void;
    };
    private TAB_KEY;
    private FOCUSABLE;
    private modalRef;
    private focusableNodes;
    private firstFocusableNode;
    private lastFocusableNode;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    private setupFocusTrap;
    private keyboardListener;
    private clickAnywhereToDismiss;
    private close;
    render(): JSX.Element;
}
export { Modal };
